buffer_putlonglong(3)

NAME
buffer_putlonglong - write a decimal ASCII representation of a signed long integer to buffer

SYNTAX
#include <libowfat/buffer.h>

int buffer_putlonglong(buffer* b,signed long long x);

DESCRIPTION
buffer_putlonglong is equivalent to passing the result of fmt_longlong to buffer_put.

RETURN VALUE
0 if everything is fine, -1 on error (setting errno).

SEE ALSO
fmt_longlong(3), buffer_put(3), buffer_flush(3), buffer(3)